Subject: Re: linux-next: build failure after merge of the driver-core tree

From: Mark Brown <[email-masked]>
Date: Wed, 12 Mar 2014 11:37:42 +0000

On Wed, Mar 12, 2014 at 02:55:41PM +1100, Benjamin Herrenschmidt wrote:

> How do you suggest we proceed ? I can't add a fix to powerpc-next to use
> the new function since it doesn't exist upstream yet. I would have to
> pull drivers-core-next in which I really don't want to do....

> Can the removal of the function be delayed to -rc1 so we can properly
> do the fixup ? Or do you have the introduction of the new function in
> a topic branch I can pull in without the rest of drivers-core-next ?

The delay would have been my first suggestion - otherwise I'd not be
surprised to see this coming up again.  Perhaps change to tagging the
APIs as deprecated for now (so any futher new users get flagged up)
would help.